import i18next from 'i18next';
import { createI18nStore } from 'svelte-i18next';
import enTranslation from './locales/en.json';

i18next.init({
	lng: 'en',
	resources: {
		en: {
			translation: enTranslation
		}
	}
});

export const i18n = createI18nStore(i18next);
