import { sveltekit } from '@sveltejs/kit/vite';
import { defineConfig } from 'vite';
import * as path from 'path';

export default defineConfig({
	plugins: [sveltekit()],
	resolve: {
		alias: {
			'@assets': path.join(__dirname, 'assets/generated')
		}
	},
	server: {
		fs: {
			allow: [path.join(__dirname, 'assets/generated'), path.join(__dirname, 'package.json')]
		}
	}
});
